Bug 1411572 - Snapshot deletion fails with error reported as "Drive image file could not be found"
Summary: Snapshot deletion fails with error reported as "Drive image file could not be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Daniel Erez
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks: 1446919
TreeView+ depends on / blocked
 
Reported: 2017-01-10 01:41 UTC by Ribu Tho
Modified: 2020-04-15 15:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1446919 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:40:52 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2852341 0 None None None 2017-01-10 01:41:54 UTC
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:42:08 UTC
oVirt gerrit 73682 0 master MERGED webadmin: live merge - warning on remove snapshot for unplugged disks 2020-09-02 07:22:21 UTC
oVirt gerrit 73741 0 ovirt-engine-4.1 MERGED webadmin: live merge - warning on remove snapshot for unplugged disks 2020-09-02 07:22:19 UTC

Description Ribu Tho 2017-01-10 01:41:33 UTC
Description of problem:

Unable to delete a snapshot when one of the disk's which is part of it is deactivated. 

Version-Release number of selected component (if applicable):

ovirt-engine-4.0.5.5-0.1.el7ev.noarch

How reproducible:

Steps to Reproduce:
1. Create 2 new disks for a VM .
2. Create a snapshot with the above 2 disks involved. 
3. Deactivate one of the disk's that is part of the snapshot.
4. Delete the snapshot and it will result in the error below 

engine.log
--------------------

 Engine exception thrown while sending merge command: org.ovirt.engine.core.common.errors.EngineException: EngineException: org.ovirt.      engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to MergeVDS, error = Drive image file could not be found, code = 13 (Failed with error imageErr and code 13)

5. The disk that is activated gets removed successfully and the disk or image is marked as illegal.
6. once activated again from the disk's tab it can be removed .

Actual results:

-results in the disk/image being marked as illegal in the snapshot .
- stale snapshot entry in table.

Expected results:

- warning to user indicating that one of the disk is in inactive or deactivated state. 

Additional info:

Comment 1 Yaniv Kaul 2017-01-10 06:26:19 UTC
It'd be great if you could attach relevant engine and vdsm logs.

Comment 4 Tal Nisan 2017-03-06 12:47:50 UTC
If I remember correctly this is the expected behavior, Daniel can you confirm?

Comment 5 Daniel Erez 2017-03-06 13:00:38 UTC
@Ala - is it the excepted behavior with live merge? or perhaps related to bug 1327140 ?

Comment 6 Ala Hino 2017-03-06 13:31:32 UTC
It is the expected behavior though a warning indicating that the snapshot will not be removed the non-active disk will be marked as illegal (in the disks sub-tab in the snapshots tab)

Comment 7 Ribu Tho 2017-03-06 22:25:37 UTC
@Ala,

Currently there is no warning or indication as such and hence wouldn't it be a good idea to have a warning indication or notification for this case. 

Ribu

Comment 10 rhev-integ 2017-04-26 10:50:32 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND NON-ACKED FLAGS: {'rhevm-4.1.z': '?'}]

For more info please contact: rhv-devops@redhat.com

Comment 12 Kevin Alon Goldblatt 2017-07-27 15:08:24 UTC
Verified with the following code:
----------------------------------------------
ovirt-engine-4.2.0-0.0.master.20170723141021.git463826a.el7.centos.noarch
vdsm-4.20.1-218.git1b7671f.el7.centos.x86_64


Verified with the following scenario:
---------------------------------------------
Steps to Reproduce:
1. Create 2 new disks for a VM .
2. Create a snapshot with the above 2 disks involved. 
3. Deactivate one of the disk's that is part of the snapshot.
4. Delete the snapshot >>>>> The following message is displayed:

Are you sure you want to delete snapshot from 2017-07-27, 17:41 with description 'snapped_3'?

Note - the following disks are deactivated and won't be merged (the disks will be marked as illegal in the removed snapshot): vm222_Disk3

Moving to VERIFIED

Comment 15 errata-xmlrpc 2018-05-15 17:40:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 16 Franta Kust 2019-05-16 13:04:51 UTC
BZ<2>Jira Resync

Comment 17 Avihai 2019-08-25 14:04:45 UTC
Marking as qe_test_coverage '-' as the fix and verification are done only via UI which we do not automate.


Note You need to log in before you can comment on or make changes to this bug.